
Foreman - Support #15337

Dashboard excessively long loading time (1.11.2)

06/07/2016 04:11 PM - Iain Walmsley

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Performance   

Target version:    

Triaged:  Found in Releases: 1.11.2

Fixed in Releases:    

Description

Just upgraded Foreman instance to 1.11.2 in our main environment (~7000 hosts), and have found loading the dashboard takes an

excessive amount of time ~ 1 minute. Upgrade which took place was from version 1.10.2, where this issue did not occur at all. Also

worth mentioning we're running other Foreman instances with ~700-1000 hosts on 1.11.2 where we're not getting this issue.

See the pastebin below for logs of selecting the dashboard. Note that the SELECT "hosts" begin from when the call is made even

though this isn't how it appears in the logs?

https://pastebin.mozilla.org/8875665

Seems like the problem is very generic and is found here;

Rendered dashboard/index.html.erb within layouts/application (56472.1ms)

 Also note that on an 8CPU machine average load is ~ 1, and RAM is fine. Only started having issues when I upgraded this morning.

Have raised this as Support initially as i'm not seeing this in other environments, but am quite confused about it as essentially this is

a very vanilla instance of Foreman.

Any help would be appreciated, Cheers.

History

#1 - 06/07/2016 04:16 PM - Iain Walmsley

Raised this as "High" priority mistakenly but can be put down to Normal. Also worth noting i've tried this on multiple browsers and am getting the

same issue.

#2 - 06/08/2016 02:44 AM - Marek Hulán

- Priority changed from High to Normal

Thank you for the report. It might be helpful if you could enable debug log level and upload the production.log output from rendering the dashboard

page. Seeing actual SQL queries would probably help. If you're not sure how to get such logs, please see more information in the manual 

https://theforeman.org/manuals/1.11/index.html#7.2Debugging and https://theforeman.org/manuals/1.11/index.html#7.3GettingHelp

#3 - 08/10/2016 07:13 PM - Anonymous

Iain, any news here?

#4 - 12/19/2016 04:37 AM - Iain Walmsley

- Status changed from New to Rejected

Apologies for not updating sooner. This was resolved ultimately by updating to 1.12. Wasn't able to replicate it anywhere else either. Sorry.
